summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2015-05-15 21:48:13 +0900
committerSean Whitton <spwhitton@spwhitton.name>2015-05-15 21:48:13 +0900
commit00143592babdcd6e1e62f1e036e8f1a96aaa393b (patch)
tree85cc08356c8b3318dcef5cf849656ca76a7a58cc
parent7f05529b21f646a86405b71db963d7bbd0705aff (diff)
downloaddotfiles-00143592babdcd6e1e62f1e036e8f1a96aaa393b.tar.gz
graphical prompt to call urxvttmux script
-rwxr-xr-xbin/urxvttmux-prompt9
1 files changed, 9 insertions, 0 deletions
diff --git a/bin/urxvttmux-prompt b/bin/urxvttmux-prompt
new file mode 100755
index 00000000..35a6a17f
--- /dev/null
+++ b/bin/urxvttmux-prompt
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+. $HOME/.shenv
+
+input=$(zenity --title "remote tmux" --text "[user@]host" --entry)
+
+if ! [ "$input" = "" ]; then
+ urxvttmux $input
+fi